## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.privilege
Class RoutinePrivilegesTableMetaData

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailTableMetaData
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.privilege.RoutinePrivilegesTableMetaData

    public class RoutinePrivilegesTableMetaData

extends PrivilegesDetailTableMetaData

Author:
  Hui Cao

Field Summary
`static java.lang.String[]` `COLUMN_ACTIONS`
`static int[]` `COLUMN_LENGTH`
`static java.lang.String[]` `COLUMN_NAMES`
`static int` `EXECUTE_COLUMN`

Fields inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailTableMetaData
`GRANTEE_COLUMN`

Constructor Summary
`RoutinePrivilegesTableMetaData()`

Method Summary
`java.lang.String[]` `getColumnActions()` Returns the column actions, corresponding to the column name.
`int[]` `getColumnLengths()` Returns the length of all the column
`java.lang.String[]` `getColumnNames()` Returns the column names
`int` `getColumnsCount()` Returns the column count

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailTableMetaData
`getAction, getAction, getColumnIndex, getColumnLength, getColumnName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN_NAMES

    public static final java.lang.String[] COLUMN_NAMES

### COLUMN_LENGTH

    public static final int[] COLUMN_LENGTH

### COLUMN_ACTIONS

    public static final java.lang.String[] COLUMN_ACTIONS

### EXECUTE_COLUMN

    public static final int EXECUTE_COLUMN

See Also:
  Constant Field Values

Constructor Detail

### RoutinePrivilegesTableMetaData

    public RoutinePrivilegesTableMetaData()

Method Detail

### getColumnLengths

    public int[] getColumnLengths()

  Description copied from class: `PrivilegesDetailTableMetaData`
  Returns the length of all the column

  Specified by:
    `getColumnLengths` in class `PrivilegesDetailTableMetaData`
  Returns:

### getColumnNames

    public java.lang.String[] getColumnNames()

  Description copied from class: `PrivilegesDetailTableMetaData`
  Returns the column names

  Specified by:
    `getColumnNames` in class `PrivilegesDetailTableMetaData`
  Returns:

### getColumnsCount

    public int getColumnsCount()

  Description copied from class: `PrivilegesDetailTableMetaData`
  Returns the column count

  Specified by:
    `getColumnsCount` in class `PrivilegesDetailTableMetaData`
  Returns:

### getColumnActions

    public java.lang.String[] getColumnActions()

  Description copied from class: `PrivilegesDetailTableMetaData`
  Returns the column actions, corresponding to the column name.

  Remain empty for "Grantee" column

  Specified by:
    `getColumnActions` in class `PrivilegesDetailTableMetaData`
  Returns: